namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(MillOreProcessingSkill), 1)]   
    public partial class CopperOreDustRecipe : Recipe
    {
        public CopperOreDustRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<CopperOreDustItem>(),
                new CraftingElement<SandItem>(1),
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<CopperOreItem>(typeof(MillOreProcessingEfficiencySkill), 20, MillOreProcessingEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(CopperOreDustRecipe), Item.Get<CopperOreDustItem>().UILink(), 5, typeof(MillOreProcessingSpeedSkill)); 
            this.Initialize("Copper Ore Dust", typeof(CopperOreDustRecipe));
            CraftingComponent.AddRecipe(typeof(MillObject), this);
        }
    }

    [Serialized]
    [Weight(10000)]
    public partial class CopperOreDustItem : Item
    {
        static CopperOreDustItem()
        {

        }
        public override string FriendlyName { get { return "Copper Ore Dust"; } }
        public override string FriendlyNamePlural { get { return "Copper Ore Dust"; } } 
        public override string Description { get { return "Milled ore with traces of copper. Paint it red!"; } }
    }
}