namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Skills;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Gameplay.Systems.TextLinks;

    [RequiresSkill(typeof(BasicSmeltingSkill), 3)] 
    public class MilledGoldRecipe : Recipe
    {
        public MilledGoldRecipe()
        {
            this.Products = new CraftingElement[]
            {
               new CraftingElement<GoldIngotItem>(1),
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<GoldOreDustItem>(typeof(BasicSmeltingEfficiencySkill), 4, BasicSmeltingEfficiencySkill.MultiplicativeStrategy), 
            };
            this.Initialize("Milled Gold", typeof(MilledGoldRecipe));
            this.CraftMinutes = CreateCraftTimeValue(typeof(MilledGoldRecipe), this.UILink(), 0.5f, typeof(BasicSmeltingSpeedSkill));
            CraftingComponent.AddRecipe(typeof(BloomeryObject), this);
        }
    }
}